#include <stdio.h>
#include <vector>
using namespace std;

struct GSprite
{
    unsigned long itxt;
    unsigned long left,top,right,bottom;
};

void convert(const char* input, const char* output)
{
    FILE* file=fopen(input, "r");
    vector<GSprite> vspr;
    while(!feof(file))
    {
        GSprite spr;
        char temp[256];
        fgets(temp, 256, file);
        if(sscanf(temp, "%d %d %d %d %d", &spr.itxt, &spr.left, &spr.top, &spr.right, &spr.bottom)==0)
			continue;
        vspr.push_back(spr);
    }
    fclose(file);
    file=fopen(output, "wb");
    unsigned long num=vspr.size();
    fwrite(&num, 4, 1, file);
    for(unsigned long i=0;i<num;i++)
    {
        fwrite(&vspr[i], sizeof(GSprite), 1, file);
    }
    fclose(file);
}

int main(int argc, char** argv)
{
    if(argc==1)
    {
        char input[32];
        char output[32];
        printf("Input file: ");
        scanf("%31s", input);
        printf("Output file: ");
        scanf("%31s", output);
        convert(input, output);
    }
    else if(argc==2)
    {
        char output[32];
        printf("Output file: ");
        scanf("%31s", output);
        convert(argv[1], output);
    }
    else
    {
        convert(argv[1], argv[2]);
    }
    return 0;
}
